Bug 118167 - FILESAVE XLSX VBA-Project and Microsoft Excel Objects look different after export
Summary: FILESAVE XLSX VBA-Project and Microsoft Excel Objects look different after ex...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: BASIC (show other bugs)
Version:
(earliest affected)
6.0.4.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:xlsx
Depends on:
Blocks: Macro-VBA
  Show dependency treegraph
 
Reported: 2018-06-14 15:18 UTC by Gabor Kelemen (allotropia)
Modified: 2021-04-17 04:07 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file from Excel (26.61 KB, application/vnd.ms-excel.sheet.macroEnabled.12)
2018-06-14 15:18 UTC, Gabor Kelemen (allotropia)
Details
The example file saved by Calc 6.2alpha (20.12 KB, application/vnd.ms-excel.sheet.macroEnabled.12)
2018-06-14 15:20 UTC, Gabor Kelemen (allotropia)
Details
The example file saved by Calc 6.0 (20.10 KB, application/vnd.ms-excel.sheet.macroEnabled.12)
2018-06-14 15:21 UTC, Gabor Kelemen (allotropia)
Details
Screenshot of the problem after the first save (54.80 KB, image/png)
2018-06-14 15:21 UTC, Gabor Kelemen (allotropia)
Details
The example file saved by Calc 6.0 again (27.60 KB, application/vnd.ms-excel.sheet.macroEnabled.12)
2018-06-14 15:21 UTC, Gabor Kelemen (allotropia)
Details
Screenshot of the problem in Excel (135.68 KB, image/png)
2018-06-14 15:22 UTC, Gabor Kelemen (allotropia)
Details
The example file saved by Calc 6.0 a third time (20.36 KB, application/vnd.ms-excel.sheet.macroEnabled.12)
2018-06-14 15:25 UTC, Gabor Kelemen (allotropia)
Details
Screenshot of the problem in Excel after the third save (79.16 KB, image/png)
2018-06-14 15:27 UTC, Gabor Kelemen (allotropia)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gabor Kelemen (allotropia) 2018-06-14 15:18:05 UTC
Created attachment 142742 [details]
Example file from Excel

If I create a VBA Project in Microsoft Excel and export the *.xlsm file with LibreOffice Calc, the structure of Microsoft Excel Objects (Workbook/Worksheets) looks different than the original version in the VBA Project.

Steps to reproduce:
1. Create a new *.xlsm file with Microsoft Excel 2010/2013/2016
2. Create a new module in the VBA Project. (optional)
3. Save the file and close.
4. Open the file with LibreOffice Calc 6.0.4 and save as *.xlsm.
5. Open the file with Microsoft Excel

Actual results:
The structure of Microsoft Excel Objects looks different than the original (Makro_teszt.xlsm) version. After the third export in the VBA Project there are more unnecessary Workbook/Worksheets object.

Expected results:
The structure of Microsoft Excel Objects should look just like the original version.


Verzió: 6.0.4.2
Build az.: 9b0d9b32d5dcda91d2f1a96dc04c645c450872bf
CPU szálak: 4; OS: Windows 10.0; Felületmegjelenítés: GL; 
Területi beállítások: hu-HU (hu_HU); Calc: CL

Version: 6.2.0.0.alpha0+
Build ID: 1e9e01dff0a8d65bb10d5a886cca7899b43979da
CPU threads: 4; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-05-27_05:50:28
Locale: hu-HU (hu_HU); Calc: group threaded
Comment 1 Gabor Kelemen (allotropia) 2018-06-14 15:20:33 UTC
Created attachment 142743 [details]
The example file saved by Calc 6.2alpha
Comment 2 Gabor Kelemen (allotropia) 2018-06-14 15:21:06 UTC
Created attachment 142744 [details]
The example file saved by Calc 6.0
Comment 3 Gabor Kelemen (allotropia) 2018-06-14 15:21:34 UTC
Created attachment 142745 [details]
Screenshot of the problem after the first save
Comment 4 Gabor Kelemen (allotropia) 2018-06-14 15:21:56 UTC
Created attachment 142746 [details]
The example file saved by Calc 6.0 again
Comment 5 Gabor Kelemen (allotropia) 2018-06-14 15:22:56 UTC
Created attachment 142747 [details]
Screenshot of the problem in Excel
Comment 6 Gabor Kelemen (allotropia) 2018-06-14 15:25:56 UTC
Created attachment 142748 [details]
The example file saved by Calc 6.0 a third time
Comment 7 Gabor Kelemen (allotropia) 2018-06-14 15:27:14 UTC
Created attachment 142749 [details]
Screenshot of the problem in Excel after the third save
Comment 8 Buovjaga 2018-06-27 13:17:17 UTC
Repro with document.

Win 8.1 32-bit
MSO 2013
LibreOffice Version: 6.2.0.0.alpha0+
Build ID: e1a77d0affef507d597e7dceb5514073658332df
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-06-27_04:47:54
Locale: fi-FI (fi_FI); Calc: group threaded
Comment 9 Markus Mohrhard 2018-07-22 00:36:10 UTC
Seems that I implemented a wrong order for the Module and Document Object streams:

MS-OVBA in section 2.3.1.3 states:

ProjectModule
= ( ProjectDocModule /
ProjectStdModule /
ProjectClassModule /
ProjectDesignerModule )

A normal module is a ProjectStdModule and it seems that as we are exporting them in the wrong order MSO is not handling the import correct. I have a fix but need to test that it actually works.
Comment 10 Xisco Faulí 2019-01-14 10:04:56 UTC
@Markus, still working on this issue ?
Comment 11 Xisco Faulí 2019-04-17 14:39:56 UTC
Dear Markus Mohrhard,
This bug has been in ASSIGNED status for more than 3 months without any
activity. Resetting it to NEW.
Please assigned it back to yourself if you're still working on this.
Comment 12 QA Administrators 2021-04-17 04:07:39 UTC
Dear Gabor Kelemen,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug